from http.server import HTTPServer, BaseHTTPRequestHandler
#importer HTTPServer et BaseHTTPRequestHandler

#host = 
#port = 
#définir l'hôte (localhost ou l'adresse IP) et le numéro de port

class Servir(BaseHTTPRequestHandler):
#Créer une classe Servir qui utilise BaseHTTPRequestHandler pour gérer les requêtes
    
    def do_GET(self):
    #utilser do_GET qui est la méthode implémentée du gestionnaire (fonctionne avec GET)
        
        self.path = '/index.html'
        #mettre le contenu index.html dans self.path

        try:
        #exécuter le bloc ci-dessous si pas d'erreur  
          
            fichier_a_ouvrir = open(self.path[1:]).read()
            #parcourir et lire la liste des élements contenus dans self.path puis ouvrir et charger le résultat dans la vriable fichier_html
        
            self.send_response(200)
            #envoyer la réponse 200 si le fichier est trouvé

        except:
        #exception : exécuter le bloc ci-dessous si fichier non trouvé
            
            fichier_a_ouvrir = "Oups... Erreur 404 !"
            self.send_response(404)
            
        self.end_headers()
        # terminer l'envoi des en-têtes et commencer à retourner la page finale
        
        self.wfile.write(bytes(fichier_a_ouvrir, "utf-8"))
        #Ecrire/afficher le contenu en sortie après avoir converti le texte en octets (encodage "utf-8")
        
serv = HTTPServer(('localhost', 8000), Servir)
#appeler la méthode HTTPServer qui prend 2 arguments, un premier avec hôte et port et un second qui est la classe qui a été définie précédeent

print("Serveur en service...")
#afficher que le serveur est lancé sur tel ou tel port

serv.serve_forever()
#lancer le serveur en continu
